# Contributing to OTP-designer-jquery

We're thrilled that you're interested in contributing to OTP-designer-jquery! By following these guidelines, you can help ensure a smooth and collaborative contribution process.

## How to Contribute

1- Fork the repository on GitHub.
2- Clone your forked repository to your local machine:

```bash

git clone https://github.com/HichemTab-tech/OTP-designer-jquery.git

```

3- Create a new branch for your contribution:

```bash

git checkout -b feature/your-feature-name

```

4- Make your changes and commit them:

```bash

git commit -m "Add your descriptive commit message here"

```

5- Push your changes to your forked repository:

```bash

git push origin feature/your-feature-name

```

6- Open a pull request (PR) on GitHub. Provide a clear and descriptive title, and include details about the changes you've made in the PR description.

## Code Style and Standards
Please ensure that your code adheres to the coding standards and style guidelines used in the project. If there are existing code conventions, follow them consistently to maintain code consistency across the project.

## Testing
Before submitting your changes, make sure that your new features are tested.

## Issues and Bug Reports
If you find a bug or have an issue, please check the existing issues on GitHub to see if it has already been reported. If not, feel free to open a new issue with a clear description and steps to reproduce the problem.

## Feature Requests
We welcome new ideas and feature requests! If you have a feature you'd like to propose, open a new issue on GitHub and provide a detailed explanation of the feature's purpose and benefits.

## Licensing
By contributing to this project, you agree that your contributions will be licensed under the project's [LICENSE](https://github.com/HichemTab-tech/OTP-designer-jquery/blob/master/LICENSE).

## Contact
If you have any questions or need further assistance, you can reach out to the maintainers at hichem.tab2002@gmail.com.
